package org.jboss.security.auth.certs;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.math.BigInteger;
import java.security.Principal;
import java.security.cert.X509Certificate;
import org.jboss.security.CertificatePrincipal;
import org.jboss.security.SimplePrincipal;

public class SerialNumberIssuerDNMapping implements CertificatePrincipal {
  public Principal toPrinicipal(X509Certificate[] certs) {
    BigInteger serialNumber = certs[0].getSerialNumber();
    Principal issuer = certs[0].getIssuerDN();
    SimplePrincipal principal = new SimplePrincipal(serialNumber + " " + issuer);
    return (Principal)principal;
  }
}
